Index: squid/configure.in
diff -u squid/configure.in:1.65 squid/configure.in:1.35.2.4
--- squid/configure.in:1.65	Sun Sep  1 09:30:40 2002
+++ squid/configure.in	Tue Sep  3 10:39:09 2002
@@ -1582,173 +1609,173 @@
 dnl Robert Side <rside@aiinc.bc.ca>
 dnl Mon, 18 Jan 1999 17:48:00 GMT
 case "$host" in
-	*-pc-sco3.2*)
-		AC_CHECK_LIB(intl, strftime)
-		;;
+        *-pc-sco3.2*)
+                AC_CHECK_LIB(intl, strftime)
+                ;;
 esac
 
 dnl System-specific library modifications
 dnl
 case "$host" in
-	i386-*-solaris2.*)
-    		if test "$GCC" = "yes"; then
-			echo "Removing -O for gcc on $host"
-			CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
-		fi
-		;;
-	*-sgi-irix*)
-        	echo "Removing -lsocket for IRIX..."
-        	LIBS=`echo $LIBS | sed -e s/-lsocket//`
-        	echo "Removing -lnsl for IRIX..."
-        	LIBS=`echo $LIBS | sed -e s/-lnsl//`
-		ac_cv_lib_nsl_main=no
-		echo "Removing -lbsd for IRIX..."
-		LIBS=`echo $LIBS | sed -e s/-lbsd//`
-		;;
+        i386-*-solaris2.*)
+                if test "$GCC" = "yes"; then
+                        echo "Removing -O for gcc on $host"
+                        CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
+                fi
+                ;;
+        *-sgi-irix*)
+                echo "Removing -lsocket for IRIX..."
+                LIBS=`echo $LIBS | sed -e s/-lsocket//`
+                echo "Removing -lnsl for IRIX..."
+                LIBS=`echo $LIBS | sed -e s/-lnsl//`
+                ac_cv_lib_nsl_main=no
+                echo "Removing -lbsd for IRIX..."
+                LIBS=`echo $LIBS | sed -e s/-lbsd//`
+                ;;
 dnl From: c0032033@ws.rz.tu-bs.de (Joerg Schumacher)
 dnl Date: Thu, 17 Oct 1996 04:09:30 +0200
 dnl Please change your configure script.  AIX doesn't need -lbsd.
-	*-ibm-aix*)
-		echo "Removing -lbsd for AIX..."
-		LIBS=`echo $LIBS | sed -e s/-lbsd//`
+        *-ibm-aix*)
+                echo "Removing -lbsd for AIX..."
+                LIBS=`echo $LIBS | sed -e s/-lbsd//`
 dnl From: mlaster@metavillage.com (Mike Laster)
 dnl AIX 4.1.4.x does not have header files for snprintf/vsnprintf
 dnl So using the internal versions generates a load of warnings
 dnl during compile.
-		echo "disabling snprintf/vsnprintf for $host"
-		ac_cv_func_snprintf=no
-		ac_cv_func_vsnprintf=no
-		;;
-	*m88k*)
-		CFLAGS="$CFLAGS -D_SQUID_MOTOROLA_"
-		AC_DEFINE(GETTIMEOFDAY_NO_TZP)
-		;;
-	[*-*-solaris2.[0-4]])
-		AC_DEFINE(GETTIMEOFDAY_NO_TZP)
-		;;
-	[*-sony-newsos[56]*])
-		AC_DEFINE(GETTIMEOFDAY_NO_TZP)
-		;;
+                echo "disabling snprintf/vsnprintf for $host"
+                ac_cv_func_snprintf=no
+                ac_cv_func_vsnprintf=no
+                ;;
+        *m88k*)
+                CFLAGS="$CFLAGS -D_SQUID_MOTOROLA_"
+                AC_DEFINE(GETTIMEOFDAY_NO_TZP)
+                ;;
+        [*-*-solaris2.[0-4]])
+                AC_DEFINE(GETTIMEOFDAY_NO_TZP)
+                ;;
+        [*-sony-newsos[56]*])
+                AC_DEFINE(GETTIMEOFDAY_NO_TZP)
+                ;;
 esac
 
 # Remove optimization for GCC 2.95.[123]
 # gcc -O[2] on *BSD and Linux (x86) causes pointers to magically become NULL
 if test "$GCC" = "yes"; then
-	GCCVER=`$CC -v 2>&1 | awk '$2 ==  "version" {print $3}'`
-	case "$GCCVER" in
-	[2.95.[123]])
-		echo "Removing -O for gcc on $host with GCC $GCCVER"
-		CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
-		;;
-	esac
+        GCCVER=`$CC -v 2>&1 | awk '$2 ==  "version" {print $3}'`
+        case "$GCCVER" in
+        [2.95.[123]])
+                echo "Removing -O for gcc on $host with GCC $GCCVER"
+                CFLAGS="`echo $CFLAGS | sed -e 's/-O[[0-9]]*//'`"
+                ;;
+        esac
 fi
 
 # Recommended by Balint Nagy Endre <bne@CareNet.hu>
 case "$host" in
-	*-univel-sysv4.2MP)
-		if test `uname -v` = "2.03"; then
-			echo "disabling mallinfo for $host"
-			ac_cv_func_mallinfo=no
-		fi
-		;;
+        *-univel-sysv4.2MP)
+                if test `uname -v` = "2.03"; then
+                        echo "disabling mallinfo for $host"
+                        ac_cv_func_mallinfo=no
+                fi
+                ;;
 esac
 
 dnl This has to be before AC_CHECK_FUNCS
 # Disable poll() on certain platforms. Override by setting ac_cv_func_poll
 # when running configure.
 if test -z "$ac_cv_func_poll"; then
-	case "$host" in
-		[alpha-dec-osf3.*])
-			# John Kay (jkay@nlanr.net) 19970818
-			echo "disabling poll for $host..."
-			ac_cv_func_poll='no'
-			;;
-		[*-hp-hpux*.*])
-			# Duane Wessels
-			echo "disabling poll for $host..."
-			ac_cv_func_poll='no'
-			;;
-		[*-linux-*])
-			# Henrik Nordstrom (hno@squid-cache.org) 19980817
-			# poll is problematic on Linux.  We disable it
-			# by default until Linux gets it right.
-			rev=`uname -r | awk -F. '{printf "%03d%03d",$1,$2}'`
-			if test $rev -lt 002002; then
-			    echo "disabling poll for $host < 2.2..."
-			    ac_cv_func_poll='no'
-			fi
-			;;
-		[powerpc-ibm-aix4.1.*])
-			# Mike Laster (mlaster@metavillage.com) 19981021
-			echo "disabling poll for $host..."
-			ac_cv_func_poll='no'
-			;;
-		[*-pc-sco3.2*])
-			# Robert Side <rside@aiinc.bc.ca>
-			# Mon, 18 Jan 1999 17:48:00 GMT
-			echo "disabling poll for $host..."
-			ac_cv_func_poll='no'
-			;;
-	esac
+        case "$host" in
+                [alpha-dec-osf3.*])
+                        # John Kay (jkay@nlanr.net) 19970818
+                        echo "disabling poll for $host..."
+                        ac_cv_func_poll='no'
+                        ;;
+                [*-hp-hpux*.*])
+                        # Duane Wessels
+                        echo "disabling poll for $host..."
+                        ac_cv_func_poll='no'
+                        ;;
+                [*-linux-*])
+                        # Henrik Nordstrom (hno@squid-cache.org) 19980817
+                        # poll is problematic on Linux.  We disable it
+                        # by default until Linux gets it right.
+                        rev=`uname -r | awk -F. '{printf "%03d%03d",$1,$2}'`
+                        if test $rev -lt 002002; then
+                            echo "disabling poll for $host < 2.2..."
+                            ac_cv_func_poll='no'
+                        fi
+                        ;;
+                [powerpc-ibm-aix4.1.*])
+                        # Mike Laster (mlaster@metavillage.com) 19981021
+                        echo "disabling poll for $host..."
+                        ac_cv_func_poll='no'
+                        ;;
+                [*-pc-sco3.2*])
+                        # Robert Side <rside@aiinc.bc.ca>
+                        # Mon, 18 Jan 1999 17:48:00 GMT
+                        echo "disabling poll for $host..."
+                        ac_cv_func_poll='no'
+                        ;;
+        esac
 fi
 
 dnl Check for library functions
 AC_CHECK_FUNCS(\
-	backtrace_symbols_fd \
-	bcopy \
-	bswap_16 \
-	bswap_32 \
-	crypt \
-	fchmod \
-	getdtablesize \
-	getpagesize \
-	getpass \
-	getrlimit \
-	getrusage \
-	getspnam \
-	lrand48 \
-	mallinfo \
-	mallocblksize \
-	mallopt \
-	memcpy \
-	memmove \
-	memset \
-	mkstemp \
-	mktime \
-	mstats \
-	poll \
-	pthread_attr_setschedparam \
-	pthread_attr_setscope \
-	pthread_setschedparam \
-	pthread_sigmask \
-	putenv \
-	random \
-	regcomp \
-	regexec \
-	regfree \
-	res_init \
-	rint \
-	select \
-	seteuid \
-	setgroups \
-	setpgrp \
-	setrlimit \
-	setsid \
-	sigaction \
-	snprintf \
-	socketpair \
-	srand48 \
-	srandom \
-	statfs \
-	sysconf \
-	syslog \
-	timegm \
-	vsnprintf \
+        backtrace_symbols_fd \
+        bcopy \
+        bswap_16 \
+        bswap_32 \
+        crypt \
+        fchmod \
+        getdtablesize \
+        getpagesize \
+        getpass \
+        getrlimit \
+        getrusage \
+        getspnam \
+        lrand48 \
+        mallinfo \
+        mallocblksize \
+        mallopt \
+        memcpy \
+        memmove \
+        memset \
+        mkstemp \
+        mktime \
+        mstats \
+        poll \
+        pthread_attr_setschedparam \
+        pthread_attr_setscope \
+        pthread_setschedparam \
+        pthread_sigmask \
+        putenv \
+        random \
+        regcomp \
+        regexec \
+        regfree \
+        res_init \
+        rint \
+        select \
+        seteuid \
+        setgroups \
+        setpgrp \
+        setrlimit \
+        setsid \
+        sigaction \
+        snprintf \
+        socketpair \
+        srand48 \
+        srandom \
+        statfs \
+        sysconf \
+        syslog \
+        timegm \
+        vsnprintf \
 )
 
 dnl Magic which checks whether we are forcing a type of comm loop we
 dnl are actually going to (ab)use
- 
+
 dnl Actually do the define magic now
 dnl mostly ripped from squid-commloops, thanks to adrian and benno
 
@@ -1759,8 +1786,8 @@
         SELECT_TYPE="select"
         AC_DEFINE(USE_SELECT)
 elif test "$ac_cv_func_kqueue" = "yes" ; then
-	SELECT_TYPE="kqueue"
-	AC_DEFINE(USE_KQUEUE)
+        SELECT_TYPE="kqueue"
+        AC_DEFINE(USE_KQUEUE)
 else
         echo "Eep!  Can't find poll, kqueue or select!"
         echo "I'll try select and hope for the best."
@@ -1769,7 +1796,6 @@
 fi
 echo "Using ${SELECT_TYPE} for select loop."
 
-
 dnl Yay!  Another Linux brokenness.  Its not good enough
 dnl to know that setresuid() exists, because RedHat 5.0 declares
 dnl setresuid() but doesn't implement it.
@@ -1794,7 +1820,7 @@
 if test "$ac_cv_func_snprintf" = "no" || test "$ac_cv_func_vsnprintf" = "no" ; then
   AM_CONDITIONAL(NEED_OWN_SNPRINTF, true)
 fi
-  
+
 dnl IP-Filter support requires ipf header files. These aren't
 dnl installed by default, so we need to check for them
 if test "$IPF_TRANSPARENT" ; then
@@ -1821,7 +1847,7 @@
         AC_DEFINE(IPF_TRANSPARENT, 0)
     fi
     AC_MSG_RESULT($IPF_TRANSPARENT)
-fi 
+fi
 if test "$IPF_TRANSPARENT" = "no" ; then
     echo "WARNING: Cannot find necessary IP-Filter header files"
     echo "         Transparent Proxy support WILL NOT be enabled"
@@ -1860,7 +1886,7 @@
         AC_DEFINE(LINUX_NETFILTER, 0)
     fi
     AC_MSG_RESULT($LINUX_NETFILTER)
-fi 
+fi
 if test "$LINUX_NETFILTER" = "no" ; then
     echo "WARNING: Cannot find necessary Linux 2.4 kernel header files"
     echo "         Linux 2.4 Transparent Proxy support WILL NOT be enabled"
@@ -1870,37 +1896,37 @@
 if test -z "$USE_GNUREGEX" ; then
     case "$host" in
     *-sun-solaris2.[[0-4]])
-	  USE_GNUREGEX="yes"
-	  ;;
+          USE_GNUREGEX="yes"
+          ;;
     *-next-nextstep*)
-	  USE_GNUREGEX="yes"
-	  ;;
+          USE_GNUREGEX="yes"
+          ;;
     esac
 fi
 AC_MSG_CHECKING(if GNUregex needs to be compiled)
 if test -z "$USE_GNUREGEX"; then
 if test "$ac_cv_func_regcomp" = "no" || test "$USE_GNUREGEX" = "yes" ; then
-	USE_GNUREGEX="yes"
+        USE_GNUREGEX="yes"
 else
-	AC_TRY_COMPILE([#include <sys/types.h>
+        AC_TRY_COMPILE([#include <sys/types.h>
 #include <regex.h>],[regex_t t; regcomp(&t,"",0);],
-		USE_GNUREGEX="no",
-		USE_GNUREGEX="yes")
+                USE_GNUREGEX="no",
+                USE_GNUREGEX="yes")
 fi
 fi
 AC_MSG_RESULT($USE_GNUREGEX)
 if test "$USE_GNUREGEX" = "yes"; then
-	REGEXLIB="-lregex"
-	LIBREGEX="libregex.a"
-	AC_DEFINE(USE_GNUREGEX)
+        REGEXLIB="-lregex"
+        LIBREGEX="libregex.a"
+        AC_DEFINE(USE_GNUREGEX)
 fi
 AC_SUBST(REGEXLIB)
 AC_SUBST(LIBREGEX)
 
 AC_REPLACE_FUNCS(\
-	drand48 \
-	tempnam \
-	strerror \
+        drand48 \
+        tempnam \
+        strerror \
 )
 
 dnl Not cached since people are likely to tune this
@@ -1922,9 +1948,9 @@
 #include <sys/types.h>
 #endif
 main() {
-	FILE *fp = fopen("conftestval", "w");
-	fprintf (fp, "%d\n", FD_SETSIZE);
-	exit(0);
+        FILE *fp = fopen("conftestval", "w");
+        fprintf (fp, "%d\n", FD_SETSIZE);
+        exit(0);
 }
 ],
 DEFAULT_FD_SETSIZE=`cat conftestval`,
@@ -1940,18 +1966,18 @@
 case $host in
 i386-unknown-freebsd*)
     if echo "$LDFLAGS" | grep -q pthread; then
-	LDFLAGS=`echo $LDFLAGS | sed -e "s/-pthread//"`
+        LDFLAGS=`echo $LDFLAGS | sed -e "s/-pthread//"`
     fi
 esac
 AC_TRY_RUN([
 #include <stdio.h>
 #include <unistd.h>
-#include <sys/time.h>	/* needed on FreeBSD */
+#include <sys/time.h>   /* needed on FreeBSD */
 #include <sys/param.h>
 #include <sys/resource.h>
 main() {
-	FILE *fp;
-	int i,j;
+        FILE *fp;
+        int i,j;
 #if defined(__CYGWIN32__) || defined (__CYGWIN__)
     /* getrlimit and sysconf returns bogous values on cygwin32.
      * Number of fds is virtually unlimited in cygwin (sys/param.h)
@@ -1981,12 +2007,12 @@
     }
 #endif /* RLIMIT_NOFILE */
 #endif /* HAVE_SETRLIMIT */
-	/* by starting at 2^14, we will never get higher
-	than 2^15 for SQUID_MAXFD */
+        /* by starting at 2^14, we will never get higher
+        than 2^15 for SQUID_MAXFD */
         i = j = 1<<14;
         while (j) {
                 j >>= 1;
-                if (dup2(0, i) < 0) { 
+                if (dup2(0, i) < 0) {
                         i -= j;
                 } else {
                         close(i);
@@ -1995,9 +2021,9 @@
         }
         i++;
 #endif /* IF !DEF CYGWIN */
-	fp = fopen("conftestval", "w");
-	fprintf (fp, "%d\n", i);
-	exit(0);
+        fp = fopen("conftestval", "w");
+        fprintf (fp, "%d\n", i);
+        exit(0);
 }
 ],
 SQUID_MAXFD=`cat conftestval`,
@@ -2024,14 +2050,14 @@
 #include <netinet/in.h>
 main ()
 {
-	FILE *fp;
+        FILE *fp;
         int fd,val=0,len=sizeof(int);
-	if ((fd = socket(AF_INET, SOCK_DGRAM, 0)) < 0) exit(1);
+        if ((fd = socket(AF_INET, SOCK_DGRAM, 0)) < 0) exit(1);
         if (getsockopt(fd, SOL_SOCKET, SO_SNDBUF, &val, &len) < 0) exit(1);
-	if (val<=0) exit(1);
+        if (val<=0) exit(1);
         fp = fopen("conftestval", "w");
         fprintf (fp, "%d\n", val);
-	exit(0);
+        exit(0);
 }
 ],
 SQUID_UDP_SO_SNDBUF=`cat conftestval`,
@@ -2050,14 +2076,14 @@
 #include <netinet/in.h>
 main ()
 {
-	FILE *fp;
+        FILE *fp;
         int fd,val=0,len=sizeof(int);
-	if ((fd = socket(AF_INET, SOCK_DGRAM, 0)) < 0) exit(1);
+        if ((fd = socket(AF_INET, SOCK_DGRAM, 0)) < 0) exit(1);
         if (getsockopt(fd, SOL_SOCKET, SO_RCVBUF, &val, &len) < 0) exit(1);
-	if (val <= 0) exit(1);
-	fp = fopen("conftestval", "w"); 
-	fprintf (fp, "%d\n", val);
-	exit(0);
+        if (val <= 0) exit(1);
+        fp = fopen("conftestval", "w");
+        fprintf (fp, "%d\n", val);
+        exit(0);
 }
 ],
 SQUID_UDP_SO_RCVBUF=`cat conftestval`,
@@ -2076,14 +2102,14 @@
 #include <netinet/in.h>
 main ()
 {
-	FILE *fp;
+        FILE *fp;
         int fd,val=0,len=sizeof(int);
-	if ((fd = socket(AF_INET, SOCK_STREAM, 0)) < 0) exit(1);
+        if ((fd = socket(AF_INET, SOCK_STREAM, 0)) < 0) exit(1);
         if (getsockopt(fd, SOL_SOCKET, SO_SNDBUF, &val, &len) < 0) exit(1);
-	if (val <= 0) exit(1);
-	fp = fopen("conftestval", "w"); 
-	fprintf (fp, "%d\n", val);
-	exit(0);
+        if (val <= 0) exit(1);
+        fp = fopen("conftestval", "w");
+        fprintf (fp, "%d\n", val);
+        exit(0);
 }
 ],
 SQUID_TCP_SO_SNDBUF=`cat conftestval`,
@@ -2102,14 +2128,14 @@
 #include <netinet/in.h>
 main ()
 {
-	FILE *fp;
+        FILE *fp;
         int fd,val=0,len=sizeof(int);
-	if ((fd = socket(AF_INET, SOCK_STREAM, 0)) < 0) exit(1);
+        if ((fd = socket(AF_INET, SOCK_STREAM, 0)) < 0) exit(1);
         if (getsockopt(fd, SOL_SOCKET, SO_RCVBUF, &val, &len) < 0) exit(1);
-	if (val <= 0) exit(1);
-	fp = fopen("conftestval", "w"); 
-	fprintf (fp, "%d\n", val);
-	exit(0);
+        if (val <= 0) exit(1);
+        fp = fopen("conftestval", "w");
+        fprintf (fp, "%d\n", val);
+        exit(0);
 }
 ],
 SQUID_TCP_SO_RCVBUF=`cat conftestval`,
@@ -2143,27 +2169,27 @@
 #include <arpa/inet.h>
 main ()
 {
-	FILE *fp;
-	struct in_addr in;
-	in.s_addr = inet_addr("1.2.3.4");
-	fp = fopen("conftestval", "w"); 
-	fprintf (fp, "%s\n", inet_ntoa(in));
-	exit(0);
+        FILE *fp;
+        struct in_addr in;
+        in.s_addr = inet_addr("1.2.3.4");
+        fp = fopen("conftestval", "w");
+        fprintf (fp, "%s\n", inet_ntoa(in));
+        exit(0);
 }
 ],
 INET_NTOA_RESULT=`cat conftestval`,
 INET_NTOA_RESULT="broken",
 INET_NTOA_RESULT="broken")
 if test "$INET_NTOA_RESULT" = "1.2.3.4" ; then
-	AC_MSG_RESULT("yes")
+        AC_MSG_RESULT("yes")
 else
-	AC_MSG_RESULT("no")
-	echo "Will use our own inet_ntoa()."
-	LIBOBJS="$LIBOBJS inet_ntoa.o"
-#	echo "WARNING: This looks bad, and probably prevents Squid from working."
-#	echo "         If you're on IRIX and using GCC 2.8, you probably need"
-#	echo "         to use the IRIX C compiler instead."
-#	sleep 10
+        AC_MSG_RESULT("no")
+        echo "Will use our own inet_ntoa()."
+        LIBOBJS="$LIBOBJS inet_ntoa.o"
+#       echo "WARNING: This looks bad, and probably prevents Squid from working."
+#       echo "         If you're on IRIX and using GCC 2.8, you probably need"
+#       echo "         to use the IRIX C compiler instead."
+#       sleep 10
 fi
 
 if test "$ac_cv_header_sys_statvfs_h" = "yes" ; then
@@ -2176,7 +2202,7 @@
 ],
 [
 struct statvfs sfs;
-sfs.f_blocks = sfs.f_bfree = sfs.f_frsize = 
+sfs.f_blocks = sfs.f_bfree = sfs.f_frsize =
 sfs.f_files = sfs.f_ffree = 0;
 statvfs("/tmp", &sfs);
 ],
@@ -2243,51 +2269,50 @@
 dnl Need the debugging version of malloc if available
 XTRA_OBJS=''
 if test "$ac_cv_lib_malloc_main" = "yes" ; then
-	if test -r /usr/lib/debug/malloc.o ; then
-		XTRA_OBJS="$XTRA_OBJS /usr/lib/debug/malloc.o"
-	fi
-	if test -r /usr/lib/debug/mallocmap.o ; then
-		XTRA_OBJS="$XTRA_OBJS /usr/lib/debug/mallocmap.o"
-	fi
+        if test -r /usr/lib/debug/malloc.o ; then
+                XTRA_OBJS="$XTRA_OBJS /usr/lib/debug/malloc.o"
+        fi
+        if test -r /usr/lib/debug/mallocmap.o ; then
+                XTRA_OBJS="$XTRA_OBJS /usr/lib/debug/mallocmap.o"
+        fi
 fi
 
 AC_SUBST(XTRA_OBJS)
 
 if test -z "$XTRA_LIBS"; then
-	XTRA_LIBS="$LIBS"
-	dnl minor cleanup
-	XTRA_LIBS=`echo $XTRA_LIBS | sed -e "s/  */ /g"`
-	LIBS=''
+        XTRA_LIBS="$LIBS"
+        dnl minor cleanup
+        XTRA_LIBS=`echo $XTRA_LIBS | sed -e "s/  */ /g"`
+        LIBS=''
 fi
 AC_SUBST(XTRA_LIBS)
 
 dnl Clean up after OSF/1 core dump bug
-rm -f core 
+rm -f core
 
 dnl FS_MAKEFILES=""
 dnl for fs in $STORE_MODULES none; do
-dnl 	if test $fs != none; then
-dnl	    FS_MAKEFILES="$FS_MAKEFILES ./src/fs/$fs/Makefile"
-dnl 	fi
+dnl     if test $fs != none; then
+dnl         FS_MAKEFILES="$FS_MAKEFILES ./src/fs/$fs/Makefile"
+dnl     fi
 dnl done
 dnl REPL_MAKEFILES=""
 dnl for repl in $REPL_POLICIES none; do
-dnl 	if test $repl != none; then
-dnl 	    REPL_MAKEFILES="$REPL_MAKEFILES ./src/repl/$repl/Makefile"
-dnl 	fi
+dnl     if test $repl != none; then
+dnl         REPL_MAKEFILES="$REPL_MAKEFILES ./src/repl/$repl/Makefile"
+dnl     fi
 dnl done
 
 dnl This could actually be used to find all the Makefiles..
 dnl One of Automake's limitations is that it needs to know all the created makefiles.
 dnl AUTH_MAKEFILES=""
 dnl for auth in `find $srcdir/src/auth -type d -print`; do
-dnl 	if test -f $auth/Makefile.in; then
-dnl	    dir=`echo $auth | sed -e "s|^$srcdir/||"`
+dnl     if test -f $auth/Makefile.in; then
+dnl         dir=`echo $auth | sed -e "s|^$srcdir/||"`
 dnl            AUTH_MAKEFILES="$AUTH_MAKEFILES ./$dir/Makefile"
-dnl	fi
+dnl     fi
 dnl done
 
-
 dnl     src/fs/aufs/Makefile \
 dnl     src/fs/coss/Makefile \
 dnl     src/fs/diskd/Makefile \
@@ -2296,54 +2321,55 @@
 dnl     src/repl/heap/Makefile \
 dnl     src/repl/lru/Makefile \
 AC_OUTPUT([\
-	Makefile \
-	lib/Makefile \
-	scripts/Makefile \
-	scripts/RunCache \
-	scripts/RunAccel \
-	src/Makefile \
-	src/fs/Makefile \
-	src/repl/Makefile \
-	src/auth/Makefile \
-	src/auth/basic/Makefile \
-	src/auth/digest/Makefile \
-	src/auth/ntlm/Makefile \
-	contrib/Makefile \
-	snmplib/Makefile \
-	icons/Makefile \
-	errors/Makefile \
-	src/fs/aufs/Makefile \
-	src/fs/coss/Makefile \
-	src/fs/diskd/Makefile \
-	src/fs/null/Makefile \
-	src/fs/ufs/Makefile \
-	src/repl/heap/Makefile \
-	src/repl/lru/Makefile \
-	doc/Makefile \
-	helpers/Makefile \
-	helpers/basic_auth/Makefile \
-	helpers/basic_auth/LDAP/Makefile \
-	helpers/basic_auth/MSNT/Makefile \
-	helpers/basic_auth/NCSA/Makefile \
-	helpers/basic_auth/PAM/Makefile \
-	helpers/basic_auth/SMB/Makefile \
-	helpers/basic_auth/YP/Makefile \
-	helpers/basic_auth/getpwnam/Makefile \
-	helpers/basic_auth/multi-domain-NTLM/Makefile \
-	helpers/basic_auth/SASL/Makefile \
-	helpers/basic_auth/winbind/Makefile \
-	helpers/digest_auth/Makefile \
-	helpers/digest_auth/password/Makefile \
-	helpers/ntlm_auth/Makefile \
-	helpers/ntlm_auth/fakeauth/Makefile \
-	helpers/ntlm_auth/no_check/Makefile \
-	helpers/ntlm_auth/SMB/Makefile \
-	helpers/ntlm_auth/SMB/smbval/Makefile \
-	helpers/ntlm_auth/winbind/Makefile \
-	helpers/external_acl/Makefile \
-	helpers/external_acl/ip_user/Makefile \
-	helpers/external_acl/ldap_group/Makefile \
-	helpers/external_acl/unix_group/Makefile \
-	helpers/external_acl/wbinfo_group/Makefile \
-	helpers/external_acl/winbind_group/Makefile \
+        Makefile \
+        lib/Makefile \
+        scripts/Makefile \
+        scripts/RunCache \
+        scripts/RunAccel \
+        src/Makefile \
+        src/fs/Makefile \
+        src/repl/Makefile \
+        src/auth/Makefile \
+        src/auth/basic/Makefile \
+        src/auth/digest/Makefile \
+        src/auth/ntlm/Makefile \
+        contrib/Makefile \
+        snmplib/Makefile \
+        icons/Makefile \
+        errors/Makefile \
+        src/fs/aufs/Makefile \
+        src/fs/coss/Makefile \
+        src/fs/diskd/Makefile \
+        src/fs/null/Makefile \
+        src/fs/ufs/Makefile \
+        src/repl/heap/Makefile \
+        src/repl/lru/Makefile \
+        doc/Makefile \
+        helpers/Makefile \
+        helpers/basic_auth/Makefile \
+        helpers/basic_auth/LDAP/Makefile \
+        helpers/basic_auth/MSNT/Makefile \
+        helpers/basic_auth/NCSA/Makefile \
+        helpers/basic_auth/PAM/Makefile \
+        helpers/basic_auth/SMB/Makefile \
+        helpers/basic_auth/YP/Makefile \
+        helpers/basic_auth/getpwnam/Makefile \
+        helpers/basic_auth/multi-domain-NTLM/Makefile \
+        helpers/basic_auth/SASL/Makefile \
+        helpers/basic_auth/winbind/Makefile \
+        helpers/digest_auth/Makefile \
+        helpers/digest_auth/password/Makefile \
+        helpers/ntlm_auth/Makefile \
+        helpers/ntlm_auth/fakeauth/Makefile \
+        helpers/ntlm_auth/no_check/Makefile \
+        helpers/ntlm_auth/SMB/Makefile \
+        helpers/ntlm_auth/SMB/smbval/Makefile \
+        helpers/ntlm_auth/winbind/Makefile \
+        helpers/external_acl/Makefile \
+        helpers/external_acl/ip_user/Makefile \
+        helpers/external_acl/ldap_group/Makefile \
+        helpers/external_acl/unix_group/Makefile \
+        helpers/external_acl/wbinfo_group/Makefile \
+        helpers/external_acl/winbind_group/Makefile \
 ])
+
Index: squid/mkrelease.sh
diff -u squid/mkrelease.sh:1.6 squid/mkrelease.sh:1.2.12.2
--- squid/mkrelease.sh:1.6	Sun Sep  1 09:30:40 2002
+++ squid/mkrelease.sh	Tue Sep  3 10:39:10 2002
@@ -50,6 +50,15 @@
 make dist-all
 
 cd $startdir
+<<<<<<< mkrelease.sh
+cp -p $tmpdir/${name}.tar.gz	$dst
+cp -p $tmpdir/${name}.tar.bz2	$dst
+cp -p $tmpdir/CONTRIBUTORS	$dst/CONTRIBUTORS.txt
+cp -p $tmpdir/COPYING		$dst/COPYING.txt
+cp -p $tmpdir/COPYRIGHT		$dst/COPYRIGHT.txt
+cp -p $tmpdir/CREDITS		$dst/CREDITS.txt
+cp -p $tmpdir/ChangeLog		$dst/ChangeLog.txt
+=======
 cp -p $tmpdir/${name}.tar.gz	$dst
 cp -p $tmpdir/${name}.tar.bz2	$dst
 cp -p $tmpdir/CONTRIBUTORS	$dst/CONTRIBUTORS.txt
@@ -60,3 +69,4 @@
 if [ -f $tmpdir/doc/release-notes/release-$RELEASE.html ]; then
     cp -p $tmpdir/doc/release-notes/release-$RELEASE.html $dst/RELEASENOTES.html
 fi
+>>>>>>> 1.6
